#!/usr/bin/env bash

chmod 700 ./drone/prepare-deliver.sh
source ./drone/prepare-deliver.sh

./gradlew :shadowJar

echo "making delivery onto '$USER@$IP:$DIR/backend'"
scp -o "StrictHostKeyChecking no" "build/libs/server-all.jar" "drone/deploy.sh" "drone/start.sh" "$USER@$IP:$DIR/"
echo "chmod 700 $DIR/backend/*; $DIR/backend/deploy.sh" | ssh -o "StrictHostKeyChecking no" $USER@$IP
