package org.tbasket.compute

import org.tbasket.api.compute.APIRequestHandler
import zio.http.{Request, Response}

object IncrementHandler extends APIRequestHandler {

    @volatile private var i = 0

    def getCounter: Int = i

    override def get(request: Request): Response = {
        Response.json(s"{\"value\": $i}")
    }

    override def post(request: Request): Response = {
        i += 1
        println(s"Counter is now $i")
        Response.ok
    }
}
